TYPER(1)

NAME
typer – run Typer scripts with completion, without having to create a package

SYNOPSIS
typer [OPTIONS] [PATH_OR_MODULE] COMMAND [ARGS]...

OPTIONS

  ARGUMENTS

PATH_OR_MODULE
    Python3 script that typer will run as a CLI application.

  OPTIONS

--app  TEXT
    The typer app object/variable to use.

--func  TEXT
    The function to convert to Typer.

--version
    Print version and exit.

--install-completion [bash|zsh|fish|powershell|pwsh]
    Install completion for the current shell.

--show-completion [bash|zsh|fish|powershell|pwsh]
    Show completion for the current shell, to copy it or customize the installation.

--help
    Show a help message and exit.

  COMMANDS

utils
    Extra utility commands for Typer apps.

    See typer-utils(1).

SEE ALSO
typer-utils(1)